package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.accounting;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcUserEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.accounting.QchjcUserEntityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcUserEntityMapper {
    long countByExample(QchjcUserEntityExample example);

    int deleteByExample(QchjcUserEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcUserEntity record);

    int insertSelective(QchjcUserEntity record);

    List<QchjcUserEntity> selectByExample(QchjcUserEntityExample example);

    QchjcUserEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcUserEntity record, @Param("example") QchjcUserEntityExample example);

    int updateByExample(@Param("record") QchjcUserEntity record, @Param("example") QchjcUserEntityExample example);

    int updateByPrimaryKeySelective(QchjcUserEntity record);

    int updateByPrimaryKey(QchjcUserEntity record);

    QchjcUserEntity selectByOutId(@Param("outId") String outId);
}